#ifndef __CocosPokktApp__DemoSelectorView__
#define __CocosPokktApp__DemoSelectorView__

#include <stdio.h>
#include "BaseView.h"
#include "../../../../pokktsdk/pokkt.h"

using namespace cocos2d;
using namespace ui;
using namespace pokkt;


class DemoSelectorView : public BaseView
{
public:
    
    CREATE_FUNC(DemoSelectorView);
    
    virtual void handleBackPress(cocos2d::Ref* pSender);
    
    static pokkt::PCPokktConfig* getPokktConfig();
    
    static DemoSelectorView* getView();
    
    ~DemoSelectorView();
    
protected:
    
    virtual bool init();
    
private:
    
    Button* _btnInitPokkt;
    Button* _btnStartDemo1;
    Button* _btnStartDemo2;
    Button* _btnStartOfferwall;
    Button* _btnExportLog;
    
    // listeners
    void handleInitPokkt(Ref* pSender);
    void handleStartDemo1(Ref* pSender);
    void handleStartDemo2(Ref* pSender);
    void handleStartOfferwall(Ref* pSender);
    void handleExportLog(Ref* pSender);
    
    void handlePokktInitialized(bool isReady);
};

#endif /* defined(__CocosPokktApp__DemoSelectorView__) */
